/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Utils;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 *
 * @author aleja
 */
public class Security {
    
    /**
     * @param texto
     * @return el valor sha-256 de ese texto
     * @throws NoSuchAlgorithmException 
     */
    public static String sha256(String texto) throws NoSuchAlgorithmException{
        
        // Se obtiene un objeto MessageDigest que implementa el algoritmo SHA-256
        MessageDigest md = MessageDigest.getInstance("SHA-256");
        
        // Calcula el HASH del String dado por argumentos
        md.update(texto.getBytes());
        
        // Se obtiene el array de bytes del resultado
        byte byteData[] = md.digest();
 
        
        // Se convierte a formato Hexadecimal
        StringBuilder sb = new StringBuilder();
        for (int i = 0; i < byteData.length; i++) {
         sb.append(Integer.toString((byteData[i] & 0xff) + 0x100, 16).substring(1));
        }
     
        // Se devuelve el String resultado
        return sb.toString();
    }
}
