<!--Header-->
<%@ include file="/includes/header.jsp" %>

<!--Barra de navegacin-->
<%@ include file="/includes/nav.jsp" %>


<%  boolean admin = (user.getRol().getId() == 0);
    user = (Usuario) request.getAttribute("usuario");%>

<div class="container">
    <div class="col-md-12">
        
        <!--AVISO PARA EL USUARIO-->
        <%if(request.getAttribute("changed")!= null){ %>
                <div class="alert alert-success" role="alert">Los datos se han modificado correctamente</div>
        <%}else if (request.getAttribute("notchanged")!= null){ %>
                <div class="alert alert-danger" role="alert">Se produjo un error y no se han podido guardar los cambios</div>
        <%} %>
        
        <!--FORMULARIO DE MODIFICACIN DEL PERFIL-->
        <form id="formulario" class="form-horizontal" action="profile" method="POST">
            <fieldset>
                
                <legend>Ajustes de perfil</legend>

                <!-- Text input NOMBRE-->
                <div class="form-group">
                    <label class="col-md-4 control-label" for="nombre">Nombre</label>  
                    <div class="col-md-4">
                        <input id="nombre" name="nombre" type="text" placeholder="" class="form-control input-md" value="<%=user.getNombre()%>" required="" <%if(!admin){%>disabled<%}%>>

                    </div>
                </div>

                <!-- Text input APELLIDOS-->
                <div class="form-group">
                    <label class="col-md-4 control-label" for="apellidos">Apellidos</label>  
                    <div class="col-md-4">
                        <input id="apellidos" name="apellidos" type="text" placeholder="" class="form-control input-md" value="<%=user.getApellidos()%>" required="" <%if(!admin){%>disabled<%}%>>

                    </div>
                </div>

                <!-- Text input CORREO ELECTRNICO-->
                <div class="form-group">
                    <label class="col-md-4 control-label" for="email">Email</label>  
                    <div class="col-md-4">
                        <input id="email" name="email" type="text" placeholder="" class="form-control input-md" value="<%=user.getEmail()%>" required="" <%if(!admin){%>disabled<%}%>>

                    </div>
                </div>

                <div class="col-md-8 col-md-offset-2">
                    <hr/>
                </div>
                

                <!--CONTRASEAS-->
                <!-- Password input 1 -->
                <div class="form-group">
                    <label class="col-md-4 control-label" for="password">Nueva contrasea</label>
                    <div class="col-md-4">
                        <input id="password" name="password" type="password" placeholder="" class="form-control input-md" pattern=".{6,}" onchange="form.confirmPassword.pattern = this.value; if(this.value.length !== 0){form.confirmPassword.required=true}" title="La contrasea debe tener un mnimo de 6 caracteres" <%if(!admin){%>required<%}%>>
                        <p class="help-block"><i class="glyphicon glyphicon-info-sign"></i>&nbspMnimo 6 caracteres</p>
                    </div>
                </div>

                <!-- Password input 2 -->
                <div class="form-group">
                    <label class="col-md-4 control-label" for="password2">Repite contrasea</label>
                    <div class="col-md-4">
                        <input id="confirmPassword" name="confirmPassword" type="password" placeholder="" class="form-control input-md" title="La contraseas deben coincidir" <%if(!admin){%>required<%}%>>
                    </div>
                </div>

                <input type="hidden" name="login" id="login" value="<%= user.getLogin() %>" />
                
                <!-- Button GUARDAR CAMBIOS-->
                <div class="form-group">
                    <label class="col-md-4 control-label" for="submit"></label>
                    <div class="col-md-4">
                        <input type="submit" class="btn btn-primary" value="Guardar cambios"/>
                    </div>
                </div>

            </fieldset>
        </form>
    </div>
</div>


<!--Footer-->
<%@ include file="/includes/footer.jsp" %>