<!--Header-->
<%@ include file="/includes/header.jsp" %>


<div class="container">

    <div class="row">
        <div class="col-md-6 col-md-offset-3">
            <form class="form-signin" action="login" method="post">
                <!--LOGO DEL SISTEMA-->
                <img class="img-responsive center-block logo-login" src="img/logo.png" height="175" alt="Logo">
                
                <% if(request.getAttribute("error")!=null) {%>
                    <!--MENSAJE DE ERROR DE ACCESO-->
                    <div class="alert alert-danger" role="alert">
                        <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                        <span class="sr-only">Error:</span>
                        Usuario o contrasea incorrectos
                    </div>
                <%}%>
                
                <!--LOGIN-->
                <label for="inputLogin" class="sr-only">Login</label>
                <input type="text" id="inputLogin" name="login" class="form-control" placeholder="Login" style="margin-bottom: -1px; border-bottom-left-radius: 0; border-bottom-right-radius: 0;" required autofocus>
                
                <!--CONTRASEA-->
                <label for="inputPassword" class="sr-only">Contrasea</label>
                <input type="password" id="inputPassword" name="pass" class="form-control" placeholder="Contrasea" style="border-top-left-radius: 0; border-top-right-radius: 0;" required>

                <!--BOTN DE ACCESO-->
                <button class="btn btn-primary btn-block" type="submit" style="margin-top: 10px;">Entrar</button>
            </form>
        </div>
    </div>
</div>


<!--Footer-->
<%@ include file="/includes/footer.jsp" %>
