<!--Header-->
<%@ include file="/includes/header.jsp" %>

<!--Barra de navegacin-->
<%@ include file="/includes/nav.jsp" %>


<!--Pgina-->
<%@ page import="Dominio.Rol" %>
<% List<Rol> rols = (List<Rol>) request.getAttribute("rols");%>

<div class="container">
    <div class="col-md-12">
        
        <form id="formulario" class="form-horizontal" action="admin" method="POST">
            <fieldset>

                <legend>Aadir nuevo usuario</legend>

                <!-- Text input NOMBRE DE USUARIO-->
                <div class="form-group">
                    <label class="col-md-4 control-label" for="nombre">Login</label>  
                    <div class="col-md-4">
                        <input id="login" name="login" type="text" placeholder="" class="form-control input-md" pattern="^[a-zA-Z][a-zA-Z0-9-_\.]{1,20}$" title="El nombre de usuario debe tener de 2 a 20 caracteres" required="" >
                    </div>
                </div>

                <!-- Text input NOMBRE-->
                <div class="form-group">
                    <label class="col-md-4 control-label" for="nombre">Nombre</label>  
                    <div class="col-md-4">
                        <input id="nombre" name="nombre" type="text" placeholder="" class="form-control input-md" required="" >
                    </div>
                </div>

                <!-- Text input APELLIDOS-->
                <div class="form-group">
                    <label class="col-md-4 control-label" for="apellidos">Apellidos</label>  
                    <div class="col-md-4">
                        <input id="apellidos" name="apellidos" type="text" placeholder="" class="form-control input-md" required="" >

                    </div>
                </div>

                <!-- Text input CORREO ELECTRNICO-->
                <div class="form-group">
                    <label class="col-md-4 control-label" for="email">Email</label>  
                    <div class="col-md-4">
                        <input id="email" name="email" type="text" placeholder="" class="form-control input-md" required="" >

                    </div>
                </div>

                <div class="col-md-8 col-md-offset-2">
                    <hr/>
                </div>


                <!-- Select ROL -->
                <div class="form-group">
                    <label class="col-md-4 control-label" for="rol">Rol del usuario</label>
                    <div class="col-md-4">
                        <select id="rol" name="rol" class="form-control">
                            <%for(int i = 0; i < rols.size(); i ++){%>
                                <option value="<%=rols.get(i).getId()%>" <%if(rols.get(i).getId()==2){%>selected<%}%>><%=rols.get(i).getNombre()%></option>
                            <%}%>
                        </select>
                    </div>
                </div>

                <!--CONTRASEAS-->
                <!-- Password input 1 -->
                <div class="form-group">
                    <label class="col-md-4 control-label" for="password">Nueva contrasea</label>
                    <div class="col-md-4">
                        <input id="password" name="password" type="password" placeholder="" class="form-control input-md" pattern=".{6,}" onchange="form.confirmPassword.pattern = this.value;" title="La contrasea debe tener un mnimo de 6 caracteres" required >
                        <p class="help-block"><i class="glyphicon glyphicon-info-sign"></i>&nbspMnimo 6 caracteres</p>
                    </div>
                </div>

                <!-- Password input 2-->
                <div class="form-group">
                    <label class="col-md-4 control-label" for="password2">Repite contrasea</label>
                    <div class="col-md-4">
                        <input id="confirmPassword" name="confirmPassword" type="password" placeholder="" class="form-control input-md" title="La contraseas deben coincidir" required>
                    </div>
                </div>

                <input type="hidden" name="newuser" id="newuser" value="newuser" />

                <!-- Button CREAR USUARIO -->
                <div class="form-group">
                    <label class="col-md-4 control-label" for="submit"></label>
                    <div class="col-md-4">
                        <input type="submit" class="btn btn-primary" value="Crear nuevo usuario"/>
                    </div>
                </div>

            </fieldset>
        </form>
    </div>
</div>


<!--Footer-->
<%@ include file="/includes/footer.jsp" %>