/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Dominio;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.Lob;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

/**
 *
 * @author aleja
 */
@Entity
@Table(name = "entregausuario")
@NamedQueries({
    @NamedQuery(name = "Entregausuario.findAll", query = "SELECT e FROM Entregausuario e"),
    @NamedQuery(name = "Entregausuario.findByLogin", query = "SELECT e FROM Entregausuario e WHERE e.entregausuarioPK.login = :login"),
    @NamedQuery(name = "Entregausuario.findByIdAptdo", query = "SELECT e FROM Entregausuario e WHERE e.entregausuarioPK.idAptdo = :idAptdo")})
public class Entregausuario implements Serializable {
    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected EntregausuarioPK entregausuarioPK;
    @Lob
    @Column(name = "codUsuario")
    private String codUsuario;
    @JoinColumn(name = "login", referencedColumnName = "login", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Usuario usuario;
    @JoinColumn(name = "id_aptdo", referencedColumnName = "id_aptdo", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Entrega entrega;

    public Entregausuario() {
    }

    public Entregausuario(EntregausuarioPK entregausuarioPK) {
        this.entregausuarioPK = entregausuarioPK;
    }

    public Entregausuario(String login, int idAptdo) {
        this.entregausuarioPK = new EntregausuarioPK(login, idAptdo);
    }

    public EntregausuarioPK getEntregausuarioPK() {
        return entregausuarioPK;
    }

    public void setEntregausuarioPK(EntregausuarioPK entregausuarioPK) {
        this.entregausuarioPK = entregausuarioPK;
    }

    public String getCodUsuario() {
        return codUsuario;
    }

    public void setCodUsuario(String codUsuario) {
        this.codUsuario = codUsuario;
    }

    public Usuario getUsuario() {
        return usuario;
    }

    public void setUsuario(Usuario usuario) {
        this.usuario = usuario;
    }

    public Entrega getEntrega() {
        return entrega;
    }

    public void setEntrega(Entrega entrega) {
        this.entrega = entrega;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (entregausuarioPK != null ? entregausuarioPK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Entregausuario)) {
            return false;
        }
        Entregausuario other = (Entregausuario) object;
        if ((this.entregausuarioPK == null && other.entregausuarioPK != null) || (this.entregausuarioPK != null && !this.entregausuarioPK.equals(other.entregausuarioPK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "Dominio.Entregausuario[ entregausuarioPK=" + entregausuarioPK + " ]";
    }
    
}
