<!--Header-->
<%@ include file="/includes/header.jsp" %>

<!--Barra de navegacin-->
<%@ include file="/includes/nav.jsp" %>



<!--Pgina-->
<%@ page import="Dominio.Teoria" %>
<%Teoria teoria = (Teoria) request.getAttribute("teoria");%>


<div class="container">
    <!--FORMULARIO ENVIO DATOS Y GUARDAR CAMBIOS -->
    <div class="col-md-12" >
        <div class="input-group" style="margin-bottom:10px;">
            <input type="text" class="form-control" placeholder="Ttulo" value="<%= teoria.getApartado().getIdCurso().getNombre() %>" disabled>
            <form id="formulario" class="input-group-btn" action="edit" method="POST" onsubmit="document.getElementById('text').value = editor.getValue();">
                    <input type="hidden" name="aptdo" id="aptdo" value="<%= teoria.getIdAptdo() %>" />
                    <input type="hidden" id="text" name="text" />

                    <input type="submit"  value="Guardar Cambios" class="btn btn-primary">
                </form>
        </div>
    </div>

    <!--TEXTAREA EDITOR DE TEXTO HTML-->
    <div class="col-md-12" >
        <textarea id="htmlInput" name="htmlInput" class="textarea form-control" placeholder="Enter text ..."><%= teoria.getTexto() %></textarea>
    </div>
</div>

<!--AJUSTES EDITOR DE TEXTO-->
<script>
    $('#htmlInput').wysihtml5({
        "font-styles": true, //Font styling, e.g. h1, h2, etc. Default true
        "emphasis": true, //Italics, bold, etc. Default true
        "lists": true, //(Un)ordered lists, e.g. Bullets, Numbers. Default true
        "html": true, //Button which allows you to edit the generated HTML. Default false
        "link": true, //Button to insert a link. Default true
        "image": true, //Button to insert an image. Default true,
        "color": false, //Button to change color of font
        "size": 'md' //Button size like sm, xs etc.
    });

</script>

<script>
    window.onresize = function () {
        var height = window.innerHeight - 210;
        document.getElementById("htmlInput").style.height = height + "px";
    };

    window.onload = function () {
        var height = window.innerHeight - 210;
        document.getElementById("htmlInput").style.height = height + "px";
    };
</script>

<!--Footer-->
<%@ include file="/includes/footer.jsp" %>