function runCode() {

    // 1 - Eliminar los scripts antiguos
    // Recuperar sus IDs
//    var json_str = sessionStorage.scripts;
//    alert(json_str);
//    var arrScripts = [];
//    if (json_str) {
//        var arrScripts = JSON.parse(json_str);
//        var oldScript = document.getElementById(arrScripts.pop());
//        // Eliminarles del documento
//        while (oldScript) {
////                        document.body.removeChild(oldScript);
//            oldScript.parentNode.removeChild(oldScript);
//            oldScript = document.getElementById(arrScripts.pop());
//        }
//    }
//    sessionStorage.removeItem('scripts');

    // 2 - Extraer los diferentes scripts
//                var code = document.getElementById('codeInput').value;
    var code = editor.getValue();
    code = code.concat('<!-->');
    //Reemplaza los ' por " para que funcionen bien las busquedas
    code = code.replace(new RegExp('\''.replace(/[-\/\\^$*+?.()|[\]{}]/g, '\\$&'), 'g'), '"');

    var vertex;
    var fragment;
    var jscode = [];

    while (1) {
        var script = {id: null,
            type: null,
            code: null,
            src: null};

        // Encontrar el inicio del script
        var indexSCRIPT = code.indexOf('<script', 0); // index del primer <script 
        if (indexSCRIPT === -1)
            break;
        // Encontrar su id (si tiene)
        var indexID = code.indexOf('id="', indexSCRIPT + '<script'.length - 1);
        if (indexID !== -1 && indexID < code.indexOf('>'))
            script.id = code.substring(indexID + 'id="'.length, code.indexOf('"', indexID + 'id="'.length));
        // Encontrar su type (si tiene)
        var indexTYPE = code.indexOf('type="', indexSCRIPT + '<script'.length - 1);
        if (indexTYPE !== -1 && indexTYPE < code.indexOf('>', indexSCRIPT + '<script'.length - 1))
            script.type = code.substring(indexTYPE + 'type="'.length, code.indexOf('"', indexTYPE + 'type="'.length));
        // Encontrar su src (si tiene)
        var indexSRC = code.indexOf('src="', indexSCRIPT + '<script'.length - 1);
        if (indexSRC !== -1 && indexSRC < code.indexOf('>', indexSCRIPT + '<script'.length - 1))
            script.src = code.substring(indexSRC + 'src="'.length, code.indexOf('"', indexSRC + 'src="'.length));
        // Encontrar su codigo
        script.code = code.substring(code.indexOf('>', indexSCRIPT) + '>'.length, code.indexOf('</script\>'), indexSCRIPT);


        // 3 - Introducirlos en el html
        
        if(script.id === "vertex-shader" & script.type === "x-shader/x-vertex")
//            document.getElementById("vertex-shader").innerHTML = script.code;
            vertex = script.code;
        else if(script.id === "fragment-shader"  & script.type === "x-shader/x-fragment")
            fragment = script.code;
//            document.getElementById("fragment-shader").innerHTML = script.code;
        else
            jscode.push(script.code);
        
        
        // 4 - Guardar sus IDs en la cookie para poder borrarles luego
//        arrScripts.push(newScript.id);

        // Borrar codigo ya leido
        code = code.substring(code.indexOf('</script\>', indexSCRIPT) + '</script\>'.length, code.length - 1);
    }
//    sessionStorage.scripts = JSON.stringify(arrScripts);

    // 5 - Ejecutar main del webGL
//    webGLStart();
//    initWebGL();


//    document.write(
//        "<!DOCTYPE HTML>" +
//        "<html>" +
//            "<head>" + 
//                document.getElementsByTagName("head")[0].innerHTML + 
//            "</head>" + 
//            "<body>" + 
//                document.getElementsByTagName("body")[0].innerHTML +
//            "</body>" +
//        "</html>"
//    );
    document.write(
        "<!DOCTYPE HTML>" +
        "<html>" +
            document.getElementsByTagName("html")[0].innerHTML + 
        "</html>"
    );
}

// Genera una ID al azar de 10 caracteres
function genID() {
    return (+new Date).toString(36).slice(-10);
}
