<!--Header-->
<%@ include file="/includes/header.jsp" %>

<!--Barra de navegacin-->
<%@ include file="/includes/nav.jsp" %>


<!--Pgina-->
<%@ page import="Dominio.Curso" %>
<%@ page import="Dominio.Matricula" %>
<% List<Curso> cursos = (List<Curso>) request.getAttribute("cursos");%>


<!--VER LISTADO DE TODOS LOS ALUMNOS-->
<div class="container">
    <div class="col-md-12">
        <a href="progress?alumnos" class="btn btn-primary">Ver listado de alumnos  <span class="glyphicon glyphicon-user"></span></a>
        <br></br>
    </div>
</div>

<!--LISTADO DE TUTORIALES CON DATOS DE SEGUIMIENTO-->
<% for (int i = 0; i < cursos.size(); i++) {%>   
<div class="container">
    <div class="col-md-12">
        <div class="panel panel-default" >
            <div class="panel-body">
                <div class="media">
                    <!--MINIATURA-->
                    <div class="media-left">
                        <a href="progress?id=<%=cursos.get(i).getId()%>">
                            <img class="media-object" src="<%= cursos.get(i).getMiniatura()%>" alt="" height=125 width=125>
                        </a>
                    </div>
                    <div class="media-body">

                        <div class="col-md-8">
                            <!--NOMBRE-->
                            <h3 class="media-heading">
                                Tutorial n <%=cursos.get(i).getNumero()%>: <%=cursos.get(i).getNombre()%>
                            </h3>
                        </div>

                        <!--SEGUIMIENTO-->
                        <%Collection<Matricula> matriculas = cursos.get(i).getMatriculaCollection();
                            int completados = 0, iniciados = 0;
                            for (Matricula m : matriculas) {
                                if (m.getUsuario().getRol().getId()==2)
                                    if(m.getCompletado())
                                        completados++;
                                    else
                                        iniciados++;
                            }
                            int alumnos = (Integer) request.getAttribute("alumnos");
                        %>    
                        <div class="col-md-4">
                            <div class="progress">
                                <!--BARRA PORCENTAJE-->
                                <div class="progress-bar progress-bar-success" style="width: <%=completados*100/alumnos%>%"></div>
                                <div class="progress-bar progress-bar-warning" style="width: <%=iniciados*100/alumnos%>%"></div>
                            </div>
                            <h4 class="text-center">
                                <!--ALUMNOS QUE HAN COMPLETADO-->
                                <%=completados%> / <%=alumnos%> Completados
                            </h4>
                            <h4 class="text-center">
                                <!--ALUMNOS QUE NO HAN INTENTADO-->
                                <%=alumnos - completados - iniciados%> / <%=alumnos%> No han intentado
                            </h4>
                            <!--SEGUIMIENTO DETALLADO-->
                            <div style="width: 100%; text-align: center; float:none!important">
                                <a href="progress?id=<%=cursos.get(i).getId()%>" class="btn btn-primary" style="width:125px;Margin:0 auto!important;"><span class="glyphicon glyphicon-plus-sign"></span> Ms detalles</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<%}%>


<!--Footer-->
<%@ include file="/includes/footer.jsp" %>