<!--Header-->
<%@ include file="/includes/header.jsp" %>

<!--Barra de navegacin-->
<%@ include file="/includes/nav.jsp" %>


<!--Pgina-->
<%@ page import="Dominio.Curso" %>
<%@ page import="Dominio.Teoria" %>
<%@ page import="Dominio.Codigo" %>
<%@ page import="Dominio.Entrega" %>
<%@ page import="Dominio.Diff" %>
<% Curso curso = (Curso) request.getAttribute("curso");
    Teoria teoria = (Teoria) request.getAttribute("teoria");
    
    String code = (String) request.getAttribute("code"); 
    int aptdo_code = (Integer) request.getAttribute("aptdo_code");
    
    
    boolean edit = request.getAttribute("edit") != null;%>

<!--AVISO PARA USUARIOS-->
<%if(request.getAttribute("diffincorrect")!=null){%>
<div class="container">
    <div class="col-md-12">
        <div class="alert alert-danger alert-dismissable" role="alert"><i class="glyphicon glyphicon-alert"></i> El cdigo no coincide con la solucin</div>
    </div>
</div>    
<script>
$(".alert-dismissable").fadeTo(5000, 500).slideUp(500, function(){
    $(".alert-dismissable").alert('close');
});
</script>
<%}%>
    
<!--PAGINADO-->
<div class="container">
    <div class="col-md-12">
        <!--ANTERIOR PGINA-->
        <a href="tutorial?id=<%=curso.getId()%>&page=<%=teoria.getApartado().getOrden() - 1%><%if (edit) {%>&edit<%}%>" class="btn btn-primary <%if (teoria.getApartado().getOrden() == 1) {%>disabled<%}%>"><span class="glyphicon glyphicon-arrow-left"></span> Anterior pgina</a>
        
        <%if ((curso.getApartadoCollection().size() / 2) == (teoria.getApartado().getOrden())) {
            // LTIMA PGINA
            if (edit) {%>
                <!--CREAR NUEVA PGINA (slo men editar-->
                <div class="btn-group pull-right">
                    <a href="new?id=<%=curso.getId()%>" class="btn btn-success"><i class="glyphicon glyphicon-plus"></i> Crear nueva pgina</a>
                    <button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown" aria-haspopup="true">
                        <span class="caret"></span>
                        <span class="sr-only">Toggle Dropdown</span>
                    </button>
                    <ul class="dropdown-menu">
                        <li><a href="new?id=<%=curso.getId()%>&diff">Crear comprobante</a></li>
                        <li><a href="new?id=<%=curso.getId()%>&entrega">Crear entrega</a></li>
                    </ul>
                </div>
            <%} else {
//                FINALIZAR
                if(request.getAttribute("entrega") != null && !edit){
                    if(request.getAttribute("entregacorrect") != null){%>
                        <!--ENTREGA REALIZADA, FINALIZAR-->
                        <a href="tutorial?id=<%=curso.getId()%>&end" class="btn btn-success pull-right">Entrega enviada, finalizar <span class="glyphicon glyphicon-ok"></span></a>
                    <%}else{%>
                        <!--ENTREGAR CDIGO-->
                        <button form="entrega" type="submit" class="btn btn-primary pull-right">Entregar cdigo y finalizar <span class="glyphicon glyphicon-paperclip"></span></button>
                    <%}
                }else if(request.getAttribute("diff") != null){
                    if(request.getAttribute("diffcorrect") != null){%>
                        <!--COMPROBANTE CORRECTO, FINALIZAR-->
                        <a href="tutorial?id=<%=curso.getId()%>&end" class="btn btn-success pull-right">Codigo correcto, finalizar <span class="glyphicon glyphicon-ok"></span></a>
                    <%}else{%>
                        <!--COMPROBAR CDIGO CORRECTO-->
                        <div class="btn-group pull-right">
                            <button form="diff" type="submit" class="btn btn-primary">Comprobar correcin <i class="glyphicon glyphicon-check"></i></button>
                            <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true">
                                <span class="caret"></span>
                                <span class="sr-only">Toggle Dropdown</span>
                            </button>
                            <ul class="dropdown-menu">
                                <li><a href="tutorial?id=<%=curso.getId()%>&end">Saltar comprobante y finalizar</a></li>
                                <li><a href="tutorial?id=<%=curso.getId()%>&page=<%=teoria.getApartado().getOrden()%><%if (edit) {%>&edit<%}%>">Reiniciar cdigo</a></li>
                            </ul>
                        </div>
                    <%}
                }else{%>
                    <!--FINALIZAR-->
                    <a href="tutorial?id=<%=curso.getId()%>&end" class="btn btn-success pull-right">Finalizar <span class="glyphicon glyphicon-ok"></span></a>
                <%}
            }
            
        } else {
//            NO ES LA LTIMA PGINA
            if(request.getAttribute("entrega") != null && !edit){
                if(request.getAttribute("entregacorrect") != null){%>
                    <!--ENTREGA REALIZADA, SIGUIENTE PGINA-->
                    <a href="tutorial?id=<%=curso.getId()%>&page=<%=teoria.getApartado().getOrden() + 1%><%if (edit) {%>&edit<%}%>" class="btn btn-success pull-right">Entrega enviada, siguiente pgina <span class="glyphicon glyphicon-arrow-right"></span></a>
                <%}else{%>
                    <!--ENTREGAR CDIGO-->
                    <button form="entrega" type="submit" class="btn btn-primary pull-right">Entregar y siguiente pgina <span class="glyphicon glyphicon-paperclip"></span></button>
                <%}
            }else if(request.getAttribute("diff") != null  && !edit){
                if(request.getAttribute("diffcorrect") != null){%>
                    <!--COMPROBANTE CORRECTO, SIGUIENTE PGINA-->
                    <a href="tutorial?id=<%=curso.getId()%>&page=<%=teoria.getApartado().getOrden() + 1%><%if (edit) {%>&edit<%}%>" class="btn btn-success pull-right">Codigo correcto, siguiente pgina <span class="glyphicon glyphicon-arrow-right"></span></a>
                <%}else{%>
                    <!--COMPROBAR CDIGO CORRECTO-->
                    <div class="btn-group pull-right">
                        <button form="diff" type="submit" class="btn btn-primary">Comprobar correcin <i class="glyphicon glyphicon-check"></i></button>
                        <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true">
                            <span class="caret"></span>
                            <span class="sr-only">Toggle Dropdown</span>
                        </button>
                        <ul class="dropdown-menu">
                            <li><a href="tutorial?id=<%=curso.getId()%>&page=<%=teoria.getApartado().getOrden() + 1%><%if (edit) {%>&edit<%}%>">Saltar comprobante</a></li>
                            <li><a href="tutorial?id=<%=curso.getId()%>&page=<%=teoria.getApartado().getOrden()%><%if (edit) {%>&edit<%}%>">Reiniciar cdigo</a></li>
                        </ul>
                    </div>
                <%}
            }else{%>
                <!--SIGUIENTE PGINA-->
                <a href="tutorial?id=<%=curso.getId()%>&page=<%=teoria.getApartado().getOrden() + 1%><%if (edit) {%>&edit<%}%>" class="btn btn-primary pull-right ">Siguiente pgina <span class="glyphicon glyphicon-arrow-right"></span></a>
            <%}%>    
        <%}%>
    </div>
</div>

    
<!--Enviar codigo a servlet para la entrega-->
<form id="entrega" action="tutorial" method="post" onsubmit="document.getElementById('text0').value = editor.getValue();">
    <input type="hidden" name="id" value="<%=curso.getId()%>"/>
    <input type="hidden" name="page" value="<%=teoria.getApartado().getOrden()%>"/>
    <input type="hidden" name="entrega" value=true/>
    <input type="hidden" name="text" id="text0"/>
</form>    
<!--Enviar codigo a servlet para el diff-->
<form id="diff" action="tutorial" method="post" onsubmit="document.getElementById('text1').value = editor.getValue();">
    <input type="hidden" name="id" value="<%=curso.getId()%>"/>
    <input type="hidden" name="page" value="<%=teoria.getApartado().getOrden()%>"/>
    <input type="hidden" name="diff" value=true/>
    <input type="hidden" name="text" id="text1"/>
</form>
    
    

<% if (edit) {%>
<!--DESCRIPCION TUTORIAL (solo en menu editar)-->
<br></br>
<div class="container">
    <div class="col-md-12">
        <a href="edit?curso=<%=curso.getId()%>" class="btn btn-default" role="button">Editar descripcin &nbsp;<span class="glyphicon glyphicon-edit" aria-hidden="true"></span></a><br/><br/>
        <div class="panel panel-default">
            <div class="panel-body">
                <div class="media">
                    <div class="media-left">
                        <img class="media-object" src="<%= curso.getMiniatura()%>" alt="" height=200 width=200>
                    </div>
                    <div class="media-body">
                        <h3 class="media-heading">
                            Tutorial n <%=curso.getNumero()%>: <%=curso.getNombre()%>
                        </h3>
                        <hr/>
                        <div class="auto-resize">
                            <p class="text justified"></p>
                            <span class="hidden"><%=curso.getDescripcion()%></span>
                        </div>                    
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<hr/>                             
<% } %>

<!--APARTADO DE TEORA-->
<div class="container">
    <div class="col-md-12">
        <% if (edit) {%>
        <a href="edit?aptdo=<%= teoria.getIdAptdo()%>" class="btn btn-default" role="button">Editar apartado &nbsp;<span class="glyphicon glyphicon-edit" aria-hidden="true"></span></a>
            <%}%>
        
        <h2>
            Tutorial n <%= curso.getNumero()%>: <%= curso.getNombre()%>
        </h2>
        <h4>
            Pgina <%= teoria.getApartado().getOrden()%> de <%= curso.getApartadoCollection().size()/2 %> 
            <%if(request.getAttribute("entrega")!=null){%>
            <span class="label <%if(request.getAttribute("realizado")!=null){%>label-success<%}else{%>label-info<%}%>" data-toggle="tooltip" title='Esta pgina requiere una entrega de cdigo. <%if(request.getAttribute("realizado")!=null){%>Ya realizaste esta entrega. Los cambios que realices sobreescribirn tu entrega anterior.<%}%>'>Entrega</span>
            <%}else if(request.getAttribute("diff")!=null){%>
                <span class="label <%if(request.getAttribute("realizado")!=null){%>label-success<%}else{%>label-info<%}%>" data-toggle="tooltip" title='Esta pgina requiere que tu cdigo sea igual al correcto. <%if(request.getAttribute("realizado")!=null){%>Ya realizaste este comprobante correctamente. <%}%>'>Comprobante</span>
            <%}%>           
        </h4>
        
        <div>
            <%= teoria.getTexto()%>
        </div>

        <hr/>
    </div>
</div>

<!--Enviar codigo a servlet para ejecutar-->
<form id="execute" action="tutorial" method="post">

    <input type="hidden" name="id" value="<%=curso.getId()%>"/>
    <input type="hidden" name="page" value="<%=teoria.getApartado().getOrden()%>"/>
    <input type="hidden" name="execute" value=true/>
    
    <input type="hidden" name="text" id="text2"/>
</form>


<!--APARTADO DE CDIGO-->
<div class="container">
    <% if (edit) {%>
        <div class="col-md-12">
            <a href="edit?aptdo=<%= aptdo_code %>" class="btn btn-default" role="button">Editar apartado &nbsp;<span class="glyphicon glyphicon-edit" aria-hidden="true"></span></a><br/><br/>
        </div>
    <%} %>
    <!-- Cuadro de cdigo -->
    <div class="col-lg-6">
        <fieldset class="form-group">
            <label for="codeInput">Cdigo:</label>
            <button form="execute" type="submit" class="btn btn-primary btn-xs pull-right">&nbspEjecutar cdigo &nbsp<span class="glyphicon glyphicon-play" aria-hidden="true"></span></button>
            <textarea class="form-control" id="codeInput" rows="25" spellcheck="false" style="height: 555px;">
<%if (request.getAttribute("scripts") != null) {%><%=request.getAttribute("scripts")%><%} else {%><%=code%><%}%></textarea>
            <script>
                var editor = CodeMirror.fromTextArea(document.getElementById("codeInput"), {
                    lineNumbers: true,
                    mode: "text/html",
                    matchBrackets: true,
                    lineWrapping: true,
                    scrollbarStyle: "null",
                    styleActiveLine: true
                });
            </script>

        </fieldset>
    </div>

    <!-- CANVAS HTML5 -->
    <div class="col-lg-6">
        <label for="canvas">Resultado:</label>
        <canvas id="canvas" style="border: 1px solid #eee;" width="538" height="538"></canvas>
    </div> 
</div>

    <!--CONSOLA-->
<div class="container">
    <div class="col-md-12">
        <label for="console">Consola:</label>
        <textarea class="form-control" id="console" readonly="readonly"></textarea>
    </div>
</div>

<script src="js/consolelog.js"></script>
<script>
                window.onresize = function () {
                    var height = window.innerHeight - 735;
                    if (height < 150)
                        height = 150;
                    if (height > 300)
                        height = 300;
                    document.getElementById("console").style.height = height + "px";
                };

                window.onload = function () {
                    var height = window.innerHeight - 735;
                    if (height < 150)
                        height = 150;
                    if (height > 300)
                        height = 300;
                    document.getElementById("console").style.height = height + "px";
                };
</script>


<code id="xcode" class="hidden"><%=request.getAttribute("scripts")%></code>

<script>
    function ejecutar(){
        if(document.getElementById('xcode').innerHTML===editor.getValue()){
            // Si son iguales se vuelve a ejecutar
            try{
                initWebGL();
            }catch(err){
                console.error("NO EXISTE initWebGL()");
            }
            return false;
        }else{
            // Si ha cambiado el cdigo, se manda al servlet
            document.getElementById('text2').value = editor.getValue();
            return true;
        }
    }
    
    $(document).ready(function() {
        $('#execute').submit(ejecutar);
    });
</script>

<!--PAGINADO-->
<div class="container">
    <div class="col-md-12">
        <!--ANTERIOR PGINA-->
        <a href="tutorial?id=<%=curso.getId()%>&page=<%=teoria.getApartado().getOrden() - 1%><%if (edit) {%>&edit<%}%>" class="btn btn-primary <%if (teoria.getApartado().getOrden() == 1) {%>disabled<%}%>"><span class="glyphicon glyphicon-arrow-left"></span> Anterior pgina</a>
        
        <%if ((curso.getApartadoCollection().size() / 2) == (teoria.getApartado().getOrden())) {
            // LTIMA PGINA
            if (edit) {%>
                <!--CREAR NUEVA PGINA (slo men editar-->
                <div class="btn-group pull-right">
                    <a href="new?id=<%=curso.getId()%>" class="btn btn-success"><i class="glyphicon glyphicon-plus"></i> Crear nueva pgina</a>
                    <button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown" aria-haspopup="true">
                        <span class="caret"></span>
                        <span class="sr-only">Toggle Dropdown</span>
                    </button>
                    <ul class="dropdown-menu">
                        <li><a href="new?id=<%=curso.getId()%>&diff">Crear comprobante</a></li>
                        <li><a href="new?id=<%=curso.getId()%>&entrega">Crear entrega</a></li>
                    </ul>
                </div>
            <%} else {
//                FINALIZAR
                if(request.getAttribute("entrega") != null && !edit){
                    if(request.getAttribute("entregacorrect") != null){%>
                        <!--ENTREGA REALIZADA, FINALIZAR-->
                        <a href="tutorial?id=<%=curso.getId()%>&end" class="btn btn-success pull-right">Entrega enviada, finalizar <span class="glyphicon glyphicon-ok"></span></a>
                    <%}else{%>
                        <!--ENTREGAR CDIGO-->
                        <button form="entrega" type="submit" class="btn btn-primary pull-right">Entregar cdigo y finalizar <span class="glyphicon glyphicon-paperclip"></span></button>
                    <%}
                }else if(request.getAttribute("diff") != null){
                    if(request.getAttribute("diffcorrect") != null){%>
                        <!--COMPROBANTE CORRECTO, FINALIZAR-->
                        <a href="tutorial?id=<%=curso.getId()%>&end" class="btn btn-success pull-right">Codigo correcto, finalizar <span class="glyphicon glyphicon-ok"></span></a>
                    <%}else{%>
                        <!--COMPROBAR CDIGO CORRECTO-->
                        <div class="btn-group pull-right">
                            <button form="diff" type="submit" class="btn btn-primary">Comprobar correcin <i class="glyphicon glyphicon-check"></i></button>
                            <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true">
                                <span class="caret"></span>
                                <span class="sr-only">Toggle Dropdown</span>
                            </button>
                            <ul class="dropdown-menu">
                                <li><a href="tutorial?id=<%=curso.getId()%>&end">Saltar comprobante y finalizar</a></li>
                                <li><a href="tutorial?id=<%=curso.getId()%>&page=<%=teoria.getApartado().getOrden()%><%if (edit) {%>&edit<%}%>">Reiniciar cdigo</a></li>
                            </ul>
                        </div>
                    <%}
                }else{%>
                    FFINALIZAR
                    <a href="tutorial?id=<%=curso.getId()%>&end" class="btn btn-success pull-right">Finalizar <span class="glyphicon glyphicon-ok"></span></a>
                <%}
            }
            
        } else {
//            NO ES LA LTIMA PGINA
            if(request.getAttribute("entrega") != null && !edit){
                if(request.getAttribute("entregacorrect") != null){%>
                    <!--ENTREGA REALIZADA, SIGUIENTE PGINA-->
                    <a href="tutorial?id=<%=curso.getId()%>&page=<%=teoria.getApartado().getOrden() + 1%><%if (edit) {%>&edit<%}%>" class="btn btn-success pull-right">Entrega enviada, siguiente pgina <span class="glyphicon glyphicon-arrow-right"></span></a>
                <%}else{%>
                    <!--ENTREGAR CDIGO-->
                    <button form="entrega" type="submit" class="btn btn-primary pull-right">Entregar y siguiente pgina <span class="glyphicon glyphicon-paperclip"></span></button>
                <%}
            }else if(request.getAttribute("diff") != null && !edit){
                if(request.getAttribute("diffcorrect") != null){%>
                    <!--COMPROBANTE CORRECTO, SIGUIENTE PGINA-->
                    <a href="tutorial?id=<%=curso.getId()%>&page=<%=teoria.getApartado().getOrden() + 1%><%if (edit) {%>&edit<%}%>" class="btn btn-success pull-right">Codigo correcto, siguiente pgina <span class="glyphicon glyphicon-arrow-right"></span></a>
                <%}else{%>
                    <!--COMPROBAR CDIGO CORRECTO-->
                    <div class="btn-group pull-right">
                        <button form="diff" type="submit" class="btn btn-primary">Comprobar correcin <i class="glyphicon glyphicon-check"></i></button>
                        <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true">
                            <span class="caret"></span>
                            <span class="sr-only">Toggle Dropdown</span>
                        </button>
                        <ul class="dropdown-menu">
                            <li><a href="tutorial?id=<%=curso.getId()%>&page=<%=teoria.getApartado().getOrden() + 1%><%if (edit) {%>&edit<%}%>">Saltar comprobante</a></li>
                            <li><a href="tutorial?id=<%=curso.getId()%>&page=<%=teoria.getApartado().getOrden()%><%if (edit) {%>&edit<%}%>">Reiniciar cdigo</a></li>
                        </ul>
                    </div>
                <%}
            }else{%>
                <!--SIGUIENTE PGINA-->
                <a href="tutorial?id=<%=curso.getId()%>&page=<%=teoria.getApartado().getOrden() + 1%><%if (edit) {%>&edit<%}%>" class="btn btn-primary pull-right ">Siguiente pgina <span class="glyphicon glyphicon-arrow-right"></span></a>
            <%}%>    
        <%}%>
        <br></br>
    </div>
</div>

<script>
    $(document).ready(function(){
        $('[data-toggle="tooltip"]').tooltip();   
    });
</script>    


    
<!--Footer-->
<%@ include file="/includes/footer.jsp" %>