/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Dominio;

import java.io.Serializable;
import java.util.Collection;
import javax.persistence.Basic;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.Lob;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.Table;

/**
 *
 * @author aleja
 */
@Entity
@Table(name = "diff")
@NamedQueries({
    @NamedQuery(name = "Diff.findAll", query = "SELECT d FROM Diff d"),
    @NamedQuery(name = "Diff.findByIdAptdo", query = "SELECT d FROM Diff d WHERE d.idAptdo = :idAptdo")})
public class Diff implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "id_aptdo")
    private Integer idAptdo;
    @Lob
    @Column(name = "codInicial")
    private String codInicial;
    @Lob
    @Column(name = "codCorrecto")
    private String codCorrecto;
    @JoinColumn(name = "id_aptdo", referencedColumnName = "id", insertable = false, updatable = false)
    @OneToOne(optional = false)
    private Apartado apartado;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "diff")
    private Collection<Diffusuario> diffusuarioCollection;

    public Diff() {
    }

    public Diff(Integer idAptdo) {
        this.idAptdo = idAptdo;
    }

    public Integer getIdAptdo() {
        return idAptdo;
    }

    public void setIdAptdo(Integer idAptdo) {
        this.idAptdo = idAptdo;
    }

    public String getCodInicial() {
        return codInicial;
    }

    public void setCodInicial(String codInicial) {
        this.codInicial = codInicial;
    }

    public String getCodCorrecto() {
        return codCorrecto;
    }

    public void setCodCorrecto(String codCorrecto) {
        this.codCorrecto = codCorrecto;
    }

    public Apartado getApartado() {
        return apartado;
    }

    public void setApartado(Apartado apartado) {
        this.apartado = apartado;
    }

    public Collection<Diffusuario> getDiffusuarioCollection() {
        return diffusuarioCollection;
    }

    public void setDiffusuarioCollection(Collection<Diffusuario> diffusuarioCollection) {
        this.diffusuarioCollection = diffusuarioCollection;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (idAptdo != null ? idAptdo.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Diff)) {
            return false;
        }
        Diff other = (Diff) object;
        if ((this.idAptdo == null && other.idAptdo != null) || (this.idAptdo != null && !this.idAptdo.equals(other.idAptdo))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "Dominio.Diff[ idAptdo=" + idAptdo + " ]";
    }
    
}
