/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Dominio;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

/**
 *
 * @author aleja
 */
@Entity
@Table(name = "diffusuario")
@NamedQueries({
    @NamedQuery(name = "Diffusuario.findAll", query = "SELECT d FROM Diffusuario d"),
    @NamedQuery(name = "Diffusuario.findByLogin", query = "SELECT d FROM Diffusuario d WHERE d.diffusuarioPK.login = :login"),
    @NamedQuery(name = "Diffusuario.findByIdAptdo", query = "SELECT d FROM Diffusuario d WHERE d.diffusuarioPK.idAptdo = :idAptdo"),
    @NamedQuery(name = "Diffusuario.findByCorrecto", query = "SELECT d FROM Diffusuario d WHERE d.correcto = :correcto")})
public class Diffusuario implements Serializable {
    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected DiffusuarioPK diffusuarioPK;
    @Column(name = "correcto")
    private Boolean correcto;
    @JoinColumn(name = "login", referencedColumnName = "login", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Usuario usuario;
    @JoinColumn(name = "id_aptdo", referencedColumnName = "id_aptdo", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Diff diff;

    public Diffusuario() {
    }

    public Diffusuario(DiffusuarioPK diffusuarioPK) {
        this.diffusuarioPK = diffusuarioPK;
    }

    public Diffusuario(String login, int idAptdo) {
        this.diffusuarioPK = new DiffusuarioPK(login, idAptdo);
    }

    public DiffusuarioPK getDiffusuarioPK() {
        return diffusuarioPK;
    }

    public void setDiffusuarioPK(DiffusuarioPK diffusuarioPK) {
        this.diffusuarioPK = diffusuarioPK;
    }

    public Boolean getCorrecto() {
        return correcto;
    }

    public void setCorrecto(Boolean correcto) {
        this.correcto = correcto;
    }

    public Usuario getUsuario() {
        return usuario;
    }

    public void setUsuario(Usuario usuario) {
        this.usuario = usuario;
    }

    public Diff getDiff() {
        return diff;
    }

    public void setDiff(Diff diff) {
        this.diff = diff;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (diffusuarioPK != null ? diffusuarioPK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Diffusuario)) {
            return false;
        }
        Diffusuario other = (Diffusuario) object;
        if ((this.diffusuarioPK == null && other.diffusuarioPK != null) || (this.diffusuarioPK != null && !this.diffusuarioPK.equals(other.diffusuarioPK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "Dominio.Diffusuario[ diffusuarioPK=" + diffusuarioPK + " ]";
    }
    
}
