/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Dominio;

import java.io.Serializable;
import java.util.Collection;
import javax.persistence.Basic;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.Lob;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.Table;

/**
 *
 * @author aleja
 */
@Entity
@Table(name = "entrega")
@NamedQueries({
    @NamedQuery(name = "Entrega.findAll", query = "SELECT e FROM Entrega e"),
    @NamedQuery(name = "Entrega.findByIdAptdo", query = "SELECT e FROM Entrega e WHERE e.idAptdo = :idAptdo")})
public class Entrega implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "id_aptdo")
    private Integer idAptdo;
    @Lob
    @Column(name = "codInicial")
    private String codInicial;
    @JoinColumn(name = "id_aptdo", referencedColumnName = "id", insertable = false, updatable = false)
    @OneToOne(optional = false)
    private Apartado apartado;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "entrega")
    private Collection<Entregausuario> entregausuarioCollection;

    public Entrega() {
    }

    public Entrega(Integer idAptdo) {
        this.idAptdo = idAptdo;
    }

    public Integer getIdAptdo() {
        return idAptdo;
    }

    public void setIdAptdo(Integer idAptdo) {
        this.idAptdo = idAptdo;
    }

    public String getCodInicial() {
        return codInicial;
    }

    public void setCodInicial(String codInicial) {
        this.codInicial = codInicial;
    }

    public Apartado getApartado() {
        return apartado;
    }

    public void setApartado(Apartado apartado) {
        this.apartado = apartado;
    }

    public Collection<Entregausuario> getEntregausuarioCollection() {
        return entregausuarioCollection;
    }

    public void setEntregausuarioCollection(Collection<Entregausuario> entregausuarioCollection) {
        this.entregausuarioCollection = entregausuarioCollection;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (idAptdo != null ? idAptdo.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Entrega)) {
            return false;
        }
        Entrega other = (Entrega) object;
        if ((this.idAptdo == null && other.idAptdo != null) || (this.idAptdo != null && !this.idAptdo.equals(other.idAptdo))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "Dominio.Entrega[ idAptdo=" + idAptdo + " ]";
    }
    
}
